Expand the size of memory buffer.

- « Swoole\Buffer::__destruct

- Swoole\Buffer::read »

- PHP Manual
- Swoole\Buffer
- Expand the size of memory buffer.

# Swoole\Buffer::expand

(PECL swoole >= 1.9.0)

Swoole\Buffer::expand — Expand the size of memory buffer.

### Description

public Swoole\Buffer::expand(int `$size`): int

### Parameters

`size`

  The new size of the memory buffer.

### Return Values

The new size of the memory buffer.